# Copyright 2009-2021 CERN. Licensed under LGPLv3+.

Name:           HEP_OSlibs
Version:        7.3.1
Release:        1%{?dist}
Summary:        HEP OS dependencies
Group:          System/Middleware
License:        LGPLv3+
ExclusiveArch:  i686 x86_64 aarch64

Requires: alsa-lib(%{__isa})
Requires: alsa-lib-devel(%{__isa})
Requires: atlas(%{__isa})
Requires: atlas-devel(%{__isa})
Requires: attr(%{__isa})
Requires: bash(%{__isa})
Requires: bind-utils(%{__isa})
Requires: binutils(%{__isa})
Requires: boost-python(%{__isa})
Requires: bzip2(%{__isa})
Requires: bzip2-devel(%{__isa})
Requires: bzip2-libs(%{__isa})
Requires: compat-db(%{__isa})
Requires: compat-glibc-headers(%{__isa})
Requires: compat-libf2c-34(%{__isa})
Requires: compat-libgfortran-41(%{__isa})
Requires: compat-libstdc++-33(%{__isa})
Requires: compat-openldap(%{__isa})
Requires: coreutils(%{__isa})
Requires: cpp(%{__isa})
Requires: cyrus-sasl-lib(%{__isa})
Requires: dbus(%{__isa})
Requires: dbus-devel(%{__isa})
Requires: e2fsprogs-libs(%{__isa})
Requires: expat(%{__isa})
Requires: filesystem(%{__isa})
Requires: fontconfig(%{__isa})
Requires: freetype(%{__isa})
Requires: freetype-devel(%{__isa})
Requires: gamin(%{__isa})
Requires: gawk(%{__isa})
Requires: gcc(%{__isa})
Requires: gcc-c++(%{__isa})
Requires: gdbm(%{__isa})
Requires: gdbm-devel(%{__isa})
Requires: gettext(%{__isa})
Requires: ghostscript(%{__isa})
Requires: giflib(%{__isa})
Requires: git(%{__isa})
Requires: glib2(%{__isa})
Requires: glib2-devel(%{__isa})
Requires: glibc(%{__isa})
Requires: glibc-common(%{__isa})
Requires: glibc-devel(%{__isa})
Requires: glibc-headers(%{__isa})
Requires: glibc-static(%{__isa})
Requires: glibmm24(%{__isa})
Requires: gmp(%{__isa})
Requires: gmp-devel(%{__isa})
Requires: gperf(%{__isa})
Requires: grep(%{__isa})
Requires: gzip(%{__isa})
Requires: json-c(%{__isa})
Requires: kernel-headers(%{__isa})
Requires: keyutils-libs(%{__isa})
Requires: krb5-devel(%{__isa})
Requires: krb5-libs(%{__isa})
Requires: libacl(%{__isa})
Requires: libaio(%{__isa})
Requires: libatomic(%{__isa})
Requires: libattr(%{__isa})
Requires: libcap(%{__isa})
Requires: libcap-devel(%{__isa})
Requires: libcap-ng-devel(%{__isa})
Requires: libcom_err(%{__isa})
Requires: libcom_err-devel(%{__isa})
Requires: libcurl(%{__isa})
Requires: libcurl-devel(%{__isa})
Requires: libdb(%{__isa})
Requires: libdrm(%{__isa})
Requires: libdrm-devel(%{__isa})
Requires: libedit(%{__isa})
Requires: libevent(%{__isa})
Requires: libgcc(%{__isa})
Requires: libgcrypt(%{__isa})
Requires: libgfortran(%{__isa})
Requires: libgpg-error(%{__isa})
Requires: libICE(%{__isa})
Requires: libICE-devel(%{__isa})
Requires: libidn(%{__isa})
Requires: libjpeg-turbo(%{__isa})
Requires: libpng(%{__isa})
Requires: libpng-devel(%{__isa})
Requires: libpng12(%{__isa})
Requires: libselinux(%{__isa})
Requires: libsepol(%{__isa})
Requires: libSM(%{__isa})
Requires: libSM-devel(%{__isa})
Requires: libssh2(%{__isa})
Requires: libstdc++(%{__isa})
Requires: libstdc++-devel(%{__isa})
Requires: libtiff(%{__isa})
Requires: libtiff-devel(%{__isa})
Requires: libtool-ltdl(%{__isa})
Requires: libtool(%{__isa})
Requires: libuuid(%{__isa})
Requires: libuuid-devel(%{__isa})
Requires: libX11(%{__isa})
Requires: libX11-devel(%{__isa})
Requires: libXau(%{__isa})
Requires: libXau-devel(%{__isa})
Requires: libxcb(%{__isa})
Requires: libxcb-devel(%{__isa})
Requires: libXcomposite(%{__isa})
Requires: libXcomposite-devel(%{__isa})
Requires: libXcursor(%{__isa})
Requires: libXcursor-devel(%{__isa})
Requires: libXdamage(%{__isa})
Requires: libXdamage-devel(%{__isa})
Requires: libXdmcp-devel(%{__isa})
Requires: libXext(%{__isa})
Requires: libXext-devel(%{__isa})
Requires: libXfixes(%{__isa})
Requires: libXfixes-devel(%{__isa})
Requires: libXft(%{__isa})
Requires: libXft-devel(%{__isa})
Requires: libXi(%{__isa})
Requires: libXi-devel(%{__isa})
Requires: libXinerama(%{__isa})
Requires: libxml2-devel(%{__isa})
Requires: libXmu(%{__isa})
Requires: libXmu-devel(%{__isa})
Requires: libXp(%{__isa})
Requires: libXp-devel(%{__isa})
Requires: libXpm(%{__isa})
Requires: libXpm-devel(%{__isa})
Requires: libXrandr(%{__isa})
Requires: libXrandr-devel(%{__isa})
Requires: libXrender(%{__isa})
Requires: libXrender-devel(%{__isa})
Requires: libXScrnSaver(%{__isa})
Requires: libXScrnSaver-devel(%{__isa})
Requires: libxshmfence(%{__isa})
Requires: libxslt(%{__isa})
Requires: libXt(%{__isa})
Requires: libXt-devel(%{__isa})
Requires: libXtst(%{__isa})
Requires: libXtst-devel(%{__isa})
Requires: libXxf86vm(%{__isa})
Requires: libXxf86vm-devel(%{__isa})
Requires: make(%{__isa})
Requires: mesa-dri-drivers(%{__isa})
Requires: mesa-libEGL(%{__isa})
Requires: mesa-libEGL-devel(%{__isa})
Requires: mesa-libGL(%{__isa})
Requires: mesa-libglapi(%{__isa})
Requires: mesa-libGL-devel(%{__isa})
Requires: mesa-libGLU(%{__isa})
Requires: mesa-libGLU-devel(%{__isa})
Requires: motif(%{__isa})
Requires: motif-devel(%{__isa})

Requires: ncurses-base

Requires: ncurses-devel(%{__isa})
Requires: ncurses-libs(%{__isa})
Requires: net-tools(%{__isa})
Requires: nspr(%{__isa})
Requires: nss(%{__isa})
Requires: nss-devel(%{__isa})
Requires: nss-softokn(%{__isa})
Requires: nss-softokn-freebl(%{__isa})
Requires: nss-sysinit(%{__isa})
Requires: nss-util(%{__isa})
Requires: openldap(%{__isa})
Requires: openssl098e(%{__isa})
Requires: openssl-devel(%{__isa})
Requires: openssl-libs(%{__isa})
Requires: pciutils(%{__isa})
Requires: pciutils-devel(%{__isa})
Requires: pcre(%{__isa})
Requires: perl(%{__isa})

Requires: perl-CGI
Requires: perl-ExtUtils-Embed

Requires: perl-libs(%{__isa})
Requires: pkgconfig(%{__isa})
Requires: readline(%{__isa})
Requires: redhat-lsb-core(%{__isa})
Requires: sed(%{__isa})
Requires: sqlite(%{__isa})
Requires: tar(%{__isa})
Requires: tcsh(%{__isa})
Requires: texlive-dvipng-bin(%{__isa})
Requires: tk(%{__isa})

Requires: tzdata

Requires: unzip(%{__isa})
Requires: util-linux(%{__isa})
Requires: wget(%{__isa})
Requires: which(%{__isa})

Requires: xcb-proto
Requires: xkeyboard-config
Requires: xorg-x11-proto-devel
Requires: xorg-x11-xtrans-devel

Requires: xz-devel(%{__isa})
Requires: xz-libs(%{__isa})
Requires: zlib(%{__isa})
Requires: zlib-devel(%{__isa})
Requires: zsh(%{__isa})

%description
This rpm captures the OS dependencies of the LHC experiment applications on 
CentOS7. The package was put together with the help of the WLCG Application
Area and of WLCG Operations task forces and aims to cover the dependencies of
all four LHC experiments. This CentOS7 version was derived from the analogous 
metapackage for SL6. The single rpm initially developed with both 64bit and 
32bit package dependencies has been replaced by two separate rpms including 
only the corresponding packages. Though the primary target of this rpm is 
CentOS7/x86_64, the use of generic %{__isa} tags will eventually simplify
support for architectures other than x86_64 and i686, such as aarch64.

%files
%defattr(-,root,root,-)
%doc

%changelog

* Fri Jun 21 2021 Andrea Valassi 7.3.1-1 (x86_64)
[Requestor: M. Litmaath (ALICE)]
Add net-tools (needed by ALICE).
Remove "%ifnarch i686" conditionals as i686 is not supported since 2017. 
Require 186 packages on x86_64 (178 x86-64, 8 noarch).

* Fri Jan 22 2021 Andrea Valassi 7.3.0-7 (x86_64)
[Requestor: A. Valassi (CERN IT)]
Rebuild of 7.2.14-1 using the new workflow for el8 and ubuntu20.
From now on, HEP_OSlibs for el is only distributed through the WLCG repo.
Require 185 packages on x86_64 (177 x86-64, 8 noarch).

* Fri Dec 06 2019 Andrea Valassi 7.2.14-1 (x86_64)
[Requestor: A. Krasznahorkay (ATLAS)]
Fix SPI-1498: add gmp-devel.
Require 185 packages on x86_64 (177 x86-64, 8 noarch).

* Wed Dec 04 2019 Andrea Valassi 7.2.13-3 (x86_64)
Partially undo last change: remove msgpack because it comes from epel.
Require 184 packages on x86_64 (176 x86-64, 8 noarch).

* Wed Dec 04 2019 Andrea Valassi 7.2.13-1 (x86_64)
[Requestor: R. Bachmann (SPI)]
Add libedit, libevent, msgpack (needed by MySQL/MariaDB).
Require 185 packages on x86_64 (177 x86-64, 8 noarch).

* Thu Oct 17 2019 Andrea Valassi 7.2.12-2 (x86_64)
Undo last change: remove zstd and libzstd-devel because they come from epel.
Require 182 packages on x86_64 (174 x86-64, 8 noarch).

* Thu Oct 17 2019 Andrea Valassi 7.2.12-1 (x86_64)
[Requestor: J. M. Heinz (SPI)]
Add zstd and libzstd-devel (compression libraries needed by ROOT).
Require 184 packages on x86_64 (176 x86-64, 8 noarch).

* Tue Aug 06 2019 Andrea Valassi 7.2.11-3 (x86_64)
Undo SPI-1399: remove libsodium because this comes from epel-testing.
Require 182 packages on x86_64 (174 x86-64, 8 noarch).

* Tue Aug 06 2019 Andrea Valassi 7.2.11-2 (x86_64)
[Requestor: R. Hauser (ATLAS)]
Fix SPI-1399: add libsodium (needed by zeromq libraries).
Require 183 packages on x86_64 (175 x86-64, 8 noarch).

* Tue Aug 06 2019 Andrea Valassi 7.2.11-1 (x86_64)
[Requestor: G. Ganis (SPI)]
Fix issue 4: add libcurl-devel (needed by ATLAS build nodes).
Require 182 packages on x86_64 (174 x86-64, 8 noarch).

* Tue Jun 18 2019 Andrea Valassi 7.2.10-1 (x86_64)
[Requestor: M. Litmaath (CERN IT)]
Add tcsh (needed by LHCb).
Require 181 packages on x86_64 (173 x86-64, 8 noarch).

* Wed May 22 2019 Andrea Valassi 7.2.9-1 (x86_64)
[Requestor: I. Razumov (GENSER/SPI)]
Add nss-devel (needed by QtWebEngine).
Require 180 packages on x86_64 (172 x86-64, 8 noarch).

* Wed May 22 2019 Andrea Valassi 7.2.8-1 (x86_64)
[Requestor: D. Barberis (ATLAS)]
Add gzip and unzip (needed by ATLAS analysis jobs if singularity is disabled).
Require 179 packages on x86_64 (171 x86-64, 8 noarch).

* Tue May 14 2019 Andrea Valassi 7.2.7-1 (x86_64)
[Requestor: D. Konstantinov (SPI)]
Add dvipng and ghostscript, as requested by SWAN users. Add libtiff-devel.
Require 177 packages on x86_64 (169 x86-64, 8 noarch).

* Thu May 31 2018 Andrea Valassi 7.2.6-1 (aarch64)
[Requestor: LIM Workshop]
First build on ARM. No change in spec file needed, thanks to %{__isa} tags.
Require 174 packages on aarch64 as on on x86_64 (166 x86-64/aarch-64, 8 noarch).

* Mon Feb 20 2018 Andrea Valassi 7.2.6-1 (x86_64)
[Requestor: E. Obreshkov (ATLAS)]
Undo latest change and remove blas and blas-devel, as requested by ATLAS.
Require 174 packages on x86_64 (166 x86-64, 8 noarch).

* Thu Feb 08 2018 Andrea Valassi 7.2.5-1
[Requestor: E. Obreshkov (ATLAS)]
Add blas and blas-devel as requested by ATLAS.
Require 176 packages on x86_64 (168 x86-64, 8 noarch).

* Wed Dec 05 2017 Andrea Valassi 7.2.4-1
[Requestor: D. Berzano (ALICE)]
Add attr as requested by ALICE to check the status of CVMFS.
Require 174 packages on x86_64 (166 x86-64, 8 noarch).

* Wed Nov 08 2017 Andrea Valassi 7.2.3-1
[Requestor: fix previous changes requested for GFAL2 by LHCb]
Keep only boost-python to run GFAL2 on el7 as requested by LHCb.
Remove swig and all other boost package dependencies.
Require 173 packages on x86_64 (165 x86-64, 8 noarch).

* Wed Nov 08 2017 Andrea Valassi 7.2.2-1
[Requestor: M. Clemencic (LHCb)]
Add 81 extra packages required to build LHCb software on el7.
Require 190 packages on x86_64 (191 x86-64, 9 noarch).

* Mon Nov 06 2017 Andrea Valassi 7.2.1-1
[Requestor: J. Closier (LHCb), D. Bauer (UKI-LT2-IC-HEP), J. Cervantes (EP-SFT)]
Add swig and several boost packages needed by LHCb to run GFAL2 on el7.
Add json-c as requested by the IC site to run GFAL2 in CERNVM containers. 
Add gdbm-devel explicitly as requested by EP-SFT for Ubuntu.
Require 119 packages on x86_64 (112 x86-64, 7 noarch).

* Thu Oct 26 2017 Andrea Valassi 7.2.0-1
[Requestor: internal changes]
This is the first public release for el7 built using koji in the new gitlab
workflow. There is no change in requirements with respect to 7.2.0-0.rc01.
Require 99 packages on x86_64 (93 x86-64, 6 noarch).

* Thu Oct 26 2017 Andrea Valassi 7.2.0-0.rc01
[Requestor: internal changes]
This (7.2.0-0.rc01) is an internal release that will not be distributed.
It is the first release for el7 built using koji in the new gitlab workflow.
There is no change in requirements with respect to 7.1.10 or 7.1.11.

* Thu Oct 26 2017 Andrea Valassi 7.1.11-0
[Requestor: internal changes]
This (7.1.11-0) is an internal release that will not be distributed:
it is still built using rpmbuild, from within the new gitlab workflow.
Move to the new gitlab workflow, without any change in requirements with 
respect to the 99 packages required by 7.1.10 on x86_64 (93 x86-64, 6 noarch).
Note that HEP_OSlibs will no longer be built, tested and distributed for i686.
Explicitly add the requestor of each change to the changelog in the spec file,
moving also the info for old releases, previously contained in the twiki.

* Wed Sep 27 2017 Andrea Valassi 7.1.10-0
[Requestor: M. Clemencic (LHCb)]
Add 64-bit git as requested by LHCb. Require 99 packages (93 x86-64, 6 noarch) 
on x86_64 and 80 packages (74 x86-32, 6 noarch) on i686. Note however that, as 
of this version, HEP_OSlibs will no longer be distributed for i686.

* Mon Jun 19 2017 Andrea Valassi 7.1.9-0
[Requestor: P. Mendez Lorenzo (EP-SFT)]
Add more dependencies needed by EP-SFT to build libQtWebEngine: 
alsa-lib-devel, dbus-devel, glib2-devel, libcap-devel, libcap-ng-devel, 
libXcomposite-devel, libXcursor-devel, libXi-devel, libXrandr-devel, 
libXScrnSaver-devel, libXtst-devel, mesa-libEGL, mesa-libEGL-devel, 
mesa-libGL, pciutils-devel. Require 98 packages (92 x86-64, 6 noarch) 
on x86_64 and 80 packages (74 x86-32, 6 noarch) on i686.

* Fri Jun 09 2017 Andrea Valassi 7.1.8-0
[Requestor: M. Clemencic (LHCb)]
Add several dependencies needed to build libQtWebEngine, as requested by LHCb: 
libXcomposite, libXScrnSaver, gperf, pciutils, xcb-proto, xkeyboard-config,
xorg-x11-xtrans-devel. Explicitly add also some dependencies that were already
implicitly included (libdrm, libX11, libXau, libxcb, libXdamage, libXfixes, 
libXi, libxshmfence, dbus, libcap, xorg-x11-proto-devel). Require 83 packages 
(77 x86-64, 6 noarch) on x86_64 and 69 packages (63 x86-32, 6 noarch) on i686.

* Mon Mar 13 2017 Andrea Valassi 7.1.7-0
[Requestor: E. Obreshkov (ATLAS)]
Add atlas and atlas-devel, as requested by ATLAS. Require 65 packages
(63 x86-64, 2 noarch) on x86_64 and 55 packages (53 x86-32, 2 noarch) on i686.

* Tue Nov 29 2016 Andrea Valassi 7.1.6-0
[Requestor: M. Litmaath (ALICE)]
Add bind-utils, as requested by ALICE. Require 63 packages (61 x86-64,
2 noarch) on x86_64 and 55 packages (53 x86-32, 2 noarch) on i686.

* Mon Jul 04 2016 Andrea Valassi 7.1.5-0
[Requestor: E. Obreshkov (ATLAS)]
Add back libpng12 on CentOS7, as requested by ATLAS to run SLC6 software
on CentOS7 nodes. Require 62 packages (60 x86-64, 2 noarch) on x86_64
and 55 packages (53 x86-32, 2 noarch) on i686.

* Mon Jul 04 2016 Andrea Valassi 7.1.4-0
[Requestor: internal changes]
Remove 32bit wget, which does not exist. Require 61 packages (59 x86-64,
2 noarch) on x86_64 and 54 packages (52 x86-32, 2 noarch) on i686.

* Mon Jul 04 2016 Andrea Valassi 7.1.3-0
[Requestor: E. Obreshkov (ATLAS)]
Add libpng (libpng15 on CentOS7) as requested by ATLAS and remove libpng12,
fixing my previous mistake. Require 61 packages (59 x86-64, 2 noarch) on
x86_64 and 55 packages (53 x86-32, 2 noarch) on i686.

* Fri Jul 01 2016 Andrea Valassi 7.1.2-0
[Requestor: D. Giordano, C. Cordeiro (CERN IT)]
Add wget and redhat-lsb-core (requested by the CERN IT benchmarking team).
Require 61 packages (59 x86-64, 2 noarch) on x86_64 and 55 packages
(53 x86-32, 2 noarch) on i686.

* Tue Jun 28 2016 Andrea Valassi 7.1.1-0
[Requestor: internal changes]
Relax all unnecessary differences between i686 and x86_64 dependencies:
install all packages in both rpms, with the exception of six packages that
are included only for x86_64 but give issues on i686. Require 59 packages
(57 x86-64, 2 noarch) on x86_64 and 53 packages (51 x86-32, 2 noarch) on i686.

* Tue Jun 28 2016 Andrea Valassi 7.1.0-0
[Requestor: R. Seuster, E. Obreshkov (ATLAS)]
Separate 64-bit and 32-bit meta-rpms using generic "__isa" tags
(many thanks to Rolf Seuster for his implementation suggestions).
Require the same 96 packages (49 x86-64, 45 x86-32, 2 noarch) as in 7.0.4
(49 x86-64 and 2 noarch in x86_64 rpm, 45 x86-32 and 2 noarch in i686 rpm).

* Tue Jun 28 2016 Andrea Valassi 7.0.4-0
[Requestor: E. Obreshkov (ATLAS)]
Add 64-bit libpng12 (requested by ATLAS). Require 96 packages (49 x86-64, 
45 x86-32, 2 noarch). Restructure the spec file using different "Requires"
tags, preparing for the future split of the 64-bit and 32-bit meta-rpms.

* Tue May 31 2016 Andrea Valassi 7.0.3-0
[Requestor: A. Valassi (CERN IT)]
Add 64-bit libatomic (new ROOT dependency).
Require 95 packages (48 x86-64, 45 x86-32, 2 noarch).

* Tue May 31 2016 Andrea Valassi 7.0.2-0
[Requestor: D. Konstantinov (GENSER)]
Use generic "__isa_name" tags instead of x86-specific architecture tags
(see https://rpm.org/user_doc/arch_dependencies.html). Add 64-bit bzip2 
(requested by GENSER). Require 94 packages (47 x86-64, 45 x86-32, 2 noarch).

* Thu Oct 02 2014 Andrea Valassi 7.0.1-0
[Requestor: C. Wissing (CMS)]
Add perl-CGI and perl-ExtUtils-Embed (requested by CMS for SL6) using CentOS7
compatible syntax. Require 93 packages (46 x86-64, 45 x86-32, 2 noarch).

* Wed Oct 01 2014 Andrea Valassi 7.0.0-0
[Requestor: S. Traylen (CERN IT)]
First stable version with 91 packages (46 for x86-64, 45 for x86-32). 
Removed CentOS7 from the library name and renumbered as version 7.0.0.
Derived from the SL6 version, after removing packages that do not exist
in CERN CentOS7, packages that are already installed in CERN CentOS7,
and packages that are pulled in as dependencies of others in this metarpm.
